Bug 684416 - Review Request: perl-Gtk2-SourceView - Perl wrappers for the GtkSourceView widget
Summary: Review Request: perl-Gtk2-SourceView - Perl wrappers for the GtkSourceView wi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 684433
TreeView+ depends on / blocked
 
Reported: 2011-03-12 12:09 UTC by Thomas Moschny
Modified: 2011-04-09 21:19 UTC (History)
2 users (show)

Fixed In Version: perl-Gtk2-SourceView-1.000-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-05 21:41:09 UTC
mmaslano: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Thomas Moschny 2011-03-12 12:09:42 UTC
Spec URL: http://thm.fedorapeople.org/perl-Gtk2-SourceView/perl-Gtk2-SourceView.spec
SRPM URL: http://thm.fedorapeople.org/perl-Gtk2-SourceView/perl-Gtk2-SourceView-1.000-1.fc16.src.rpm

Description:
Perl bindings to the 1.x series of the GtkSourceView widget libraries. This module allows you to write Perl applications that utilize the GtkSourceView library for source editing and printing.

Comment 1 Marcela Mašláňová 2011-03-30 08:49:16 UTC
- rpmlint OK
- package must be named according to Guidelines OK
- spec file name must match the base package %{name} OK
- package must meet the Packaging Guidelines OK
- package must be licensed with Fedora approved license OK
- license field must match actual license OK
- text of the license in its own file must be included in %doc OK
- sources must match the upstream source OK
- package MUST successfully compile and build OK
 http://koji.fedoraproject.org/koji/taskinfo?taskID=2959854
- architecture listed in ExcludeArch MUST have a bug filed in bugzilla OK
- build dependencies must be listed in BuildRequires OK
- handle locales properly with %find_lang macro OK
- shared library files must call ldconfig in %post(un) OK
- packages must NOT bundle system libraries OK
- package must own all directories that it creates OK
- permissions on files must be set properly OK
- package must consistently use macros OK
- package must contain code, or permissable content OK
- large documentation must go in a -doc OK
- %doc must not affect the runtime of the application OK
- header files must be in a -devel package OK
- static libraries must be in a -static package OK
- library files that end in .so (without suffix) must go in a -devel OK
- devel package usually require base package OK
- packages must NOT contain any .la libtool archives OK
- GUI applications must include a %{name}.desktop file OK
- packages must not own files or directories already owned by other packages OK

rpm -qp --provides ~/Downloads/perl-Gtk2-SourceView-1.000-1.fc16.i686.rpm 
perl(Gtk2::SourceView) = 1.000
perl-Gtk2-SourceView = 1.000-1.fc16
perl-Gtk2-SourceView(x86-32) = 1.000-1.fc16

rpm -qp --requires ~/Downloads/perl-Gtk2-SourceView-1.000-1.fc16.i686.rpm | sort
libart_lgpl_2.so.2  
libatk-1.0.so.0  
libcairo.so.2  
libc.so.6  
libc.so.6(GLIBC_2.1.3)  
libc.so.6(GLIBC_2.4)  
libfontconfig.so.1  
libfreetype.so.6  
libgdk_pixbuf-2.0.so.0  
libgdk-x11-2.0.so.0  
libgio-2.0.so.0  
libglib-2.0.so.0  
libgmodule-2.0.so.0  
libgnomecanvas-2.so.0  
libgnomeprint-2-2.so.0  
libgnomeprintui-2-2.so.0  
libgobject-2.0.so.0  
libgthread-2.0.so.0  
libgtksourceview-1.0.so.0  
libgtk-x11-2.0.so.0  
libm.so.6  
libpango-1.0.so.0  
libpangocairo-1.0.so.0  
libpangoft2-1.0.so.0  
libpng12.so.0  
librt.so.1  
libxml2.so.2  
libz.so.1  
perl >= 0:5.008
perl(Exporter)  
perl(Gnome2::Print)  
perl(Gtk2)  
perl(:MODULE_COMPAT_5.12.3)  
perl(strict)  
perl(warnings)  
perl(XSLoader)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
rtld(GNU_HASH)  

APPROVED

Comment 2 Thomas Moschny 2011-03-30 14:57:10 UTC
Many thanks for the review!

New Package SCM Request
=======================
Package Name: perl-Gtk2-SourceView
Short Description: Perl wrappers for the GtkSourceView widget
Owners: thm
Branches: f13 f14 f15

Comment 3 Jason Tibbitts 2011-03-30 15:57:56 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-03-30 21:34:34 UTC
perl-Gtk2-SourceView-1.000-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Gtk2-SourceView-1.000-1.fc15

Comment 5 Fedora Update System 2011-03-30 21:34:42 UTC
perl-Gtk2-SourceView-1.000-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Gtk2-SourceView-1.000-1.fc13

Comment 6 Fedora Update System 2011-03-30 21:34:49 UTC
perl-Gtk2-SourceView-1.000-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Gtk2-SourceView-1.000-1.fc14

Comment 7 Fedora Update System 2011-03-31 03:52:36 UTC
perl-Gtk2-SourceView-1.000-1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 8 Fedora Update System 2011-04-05 21:41:04 UTC
perl-Gtk2-SourceView-1.000-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 9 Fedora Update System 2011-04-09 21:17:55 UTC
perl-Gtk2-SourceView-1.000-1.fc13 has been pushed to the Fedora 13 stable repository.

Comment 10 Fedora Update System 2011-04-09 21:19:09 UTC
perl-Gtk2-SourceView-1.000-1.fc14 has been pushed to the Fedora 14 stable repository.


Note You need to log in before you can comment on or make changes to this bug.